List the collected usage of a month (tenant:trade:msp:read)
GET /api/trade/v1/msp/usage
Module: Trade · operationId: listMspUsage · Tag: MSP billing · Auth: access token (Authorization: Bearer <accessToken>)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
month |
query | string | Billing month YYYY-MM (Europe/Berlin); default the previous month. |
|
provider |
query | string | (one of mailstore, sophos, ingram, itc, itc-backup, itc-licenses) |
|
addressId |
query | string (uuid) | Only the items billed to this masterdata address (mapping or contract) – a customer's usage of all providers |
Responses
- 200 Usage items (
application/json) - 400 Error (
application/json) - 401 No valid session or bearer token (no body).
- 403 Missing permission, no active tenant in the token, or a missing CSRF token on a cookie write. (
application/json)
Fields of the 200 answer:
items(array of MspUsageLine)month(integer)year(integer)
Example 200 answer:
{
"items": [
{
"addressId": "3c5e7a91-2b4d-4f6a-8c1e-5d7f9a0b1c02",
"addressName": "Kanzlei Hofmann \u0026 Partner Rechtsanwälte mbB",
"customerHint": "20002",
"id": "0a1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c01",
"month": 10,
"provider": "ingram",
"quantity": 12,
"runId": "5d6e7f8a-9b0c-4d1e-8f2a-3b4c5d6e7f03",
"sourceCustomer": "1100430325",
"sourceCustomerName": "Kanzlei Hofmann \u0026 Partner Rechtsanwälte mbB",
"sourceName": "Microsoft 365 Business Standard",
"sourceRef": "1700012345",
"sourceSku": "CFQ7TTC0LDPB:0001/P1YM",
"year": 2026
},
{
"id": "0a1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c21",
"missing": [
"customer"
],
"month": 10,
"provider": "sophos",
"quantity": 9,
"runId": "5d6e7f8a-9b0c-4d1e-8f2a-3b4c5d6e7f02",
"sourceCustomer": "6f1e2d3c-4b5a-4968-8776-a5b4c3d2e1f0",
"sourceCustomerName": "Bäckerei Sonnleitner GmbH",
"sourceName": "Sophos Intercept X Advanced",
"sourceRef": "6f1e2d3c-4b5a-4968-8776-a5b4c3d2e1f0",
"sourceSku": "CIXA0UDAC",
"year": 2026
}
],
"month": 10,
"year": 2026
}
Example request
curl -X GET 'https://api.mbcom.cloud/api/trade/v1/msp/usage' \
-H "Authorization: Bearer $ACCESS_TOKEN"